## linux-4.9 4.9.272

=== debian/changelog ===
linux-4.9 (4.9.272-1~deb8u2) jessie-security; urgency=medium

  * Regenerate debian/control after d/changelog timestamp update...

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 12 Jul 2021 12:14:16 +0200

linux-4.9 (4.9.272-1~deb8u1) jessie-security; urgency=medium

  * Backport to jessie.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 12 Jul 2021 11:25:28 +0200

linux (4.9.272-1) stretch-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.259
    - HID: make arrays usage and value to be the same
    - usb: quirks: add quirk to start video capture on ELMO L-12F document
      camera reliable
    - ntfs: check for valid standard information attribute
    - igb: Remove incorrect "unexpected SYS WRAP" log message
    - [arm64] tegra: Add power-domain for Tegra210 HDA
    - NET: usb: qmi_wwan: Adding support for Cinterion MV31
    - random: fix the RNDRESEEDCRNG ioctl
    - mm, thp: make do_huge_pmd_wp_page() lock page for testing mapcount
    - [armhf] dts: exynos: correct PMIC interrupt trigger level on Spring
    - [armhf] dts: exynos: correct PMIC interrupt trigger level on Arndale Octa
    - Bluetooth: drop HCI device reference before return
    - Bluetooth: Put HCI device if inquiry procedure interrupts
    - [armhf] dts: Configure missing thermal interrupt for 4430
    - [arm64,armhf] usb: dwc2: Do not update data length if it is 0 on inbound
      transfers
    - [arm64,armhf] usb: dwc2: Abort transaction after errors with unknown
      reason
    - [arm64,armhf] usb: dwc2: Make "trimming xfer length" a debug message
    - [arm64] dts: msm8916: Fix reserved and rfsa nodes unit address
    - bnxt_en: reverse order of TX disable and carrier off
    - mac80211: fix potential overflow when multiplying to u32 integers
    - b43: N-PHY: Fix the update of coef for the PHY revision >= 3case
    - [x86] drm/gma500: Fix error return code in psb_driver_load()
    - [x86] gma500: clean up error handling in init
    - media: media/pci: Fix memleak in empress_init
    - media: tm6000: Fix memleak in tm6000_start_stream
    - media: lmedm04: Fix misuse of comma
    - media: qm1d1c0042: fix error return code in qm1d1c0042_init()
    - media: cx25821: Fix a bug when reallocating some dma memory
    - btrfs: clarify error returns values in __load_free_space_cache
    - crypto: ecdh_helper - Ensure 'len >= secret.len' in decode_key()
    - fs/jfs: fix potential integer overflow on shift of a int
    - jffs2: fix use after free in jffs2_sum_write_data()
    - [arm64] clk: meson: clk-pll: fix initializing the old rate (fallback) for
      a PLL
    - HID: core: detect and skip invalid inputs to snto32()
    - [armhf] regulator: axp20x: Fix reference cout leak
    - isofs: release buffer head before return
    - IB/umad: Return EIO in case of when device disassociated
    - [armhf] 9046/1: decompressor: Do not clear SCTLR.nTLSMD for ARMv7+ cores
    - [arm64,armhf] amba: Fix resource leak for drivers without .remove
    - tracepoint: Do not fail unregistering a probe due to memory failure
    - perf tools: Fix DSO filtering when not finding a map for a sampled
      address
    - RDMA/rxe: Fix coding error in rxe_recv.c
    - [x86] perf intel-pt: Fix missing CYC processing in PSB
    - Input: elo - fix an error code in elo_connect()
    - misc: eeprom_93xx46: Fix module alias to enable module autoprobe
    - misc: eeprom_93xx46: Add module alias to avoid breaking support for non
      device tree users
    - [armhf] pwm: rockchip: rockchip_pwm_probe(): Remove superfluous
      clk_unprepare()
    - [x86] VMCI: Use set_page_dirty_lock() when unregistering guest memory
    - PCI: Align checking of syscall user config accessors
    - [arm64] drm/msm/dsi: Correct io_start for MSM8994 (20nm PHY)
    - i40e: Fix flow for IPv6 next header (extension header)
    - net/mlx4_core: Add missed mlx4_free_cmd_mailbox()
    - ocfs2: fix a use after free on error
    - mm/memory.c: fix potential pte_unmap_unlock pte error
    - mm/hugetlb: fix potential double free in hugetlb_register_node() error
      path
    - [arm64] Add missing ISB after invalidating TLB in __primary_switch
    - scsi: bnx2fc: Fix Kconfig warning & CNIC build errors
    - blk-settings: align max_sectors on "logical_block_size" boundary
    - ACPI: configfs: add missing check after configfs_register_default_group()
    - Input: xpad - add support for PowerA Enhanced Wired Controller for Xbox
      Series X|S
    - Input: joydev - prevent potential read overflow in ioctl
    - [x86] Input: i8042 - add ASUS Zenbook Flip to noselftest list
    - USB: serial: option: update interface mapping for ZTE P685M
    - [armhf] usb: musb: Fix runtime PM race in musb_queue_resume_work
    - USB: serial: mos7840: fix error code in mos7840_write()
    - USB: serial: mos7720: fix error code in mos7720_write()
    - [arm64,armhf] usb: dwc3: gadget: Fix setting of DEPCFG.bInterval_m1
    - [arm64,armhf] usb: dwc3: gadget: Fix dep->interval for fullspeed
      interrupt
    - KEYS: trusted: Fix migratable=1 failing
    - btrfs: abort the transaction if we fail to inc ref in btrfs_copy_root
    - btrfs: fix reloc root leak with 0 ref reloc roots on recovery
    - btrfs: fix extent buffer leak on failure to copy root
    - seccomp: Add missing return in non-void function
    - [x86] drivers/misc/vmw_vmci: restrict too big queue size in
      qp_host_alloc_queue
    - staging: rtl8188eu: Add Edimax EW-7811UN V2 to device table
    - [x86] reboot: Force all cpus to exit VMX root if VMX is supported
    - floppy: reintroduce O_NDELAY fix
    - [arm64] mtd: spi-nor: hisi-sfc: Put child node np on error path
    - mm: hugetlb: fix a race between freeing and dissolving the page
    - libnvdimm/dimm: Avoid race between probe and available_slots_show()
    - module: Ignore _GLOBAL_OFFSET_TABLE_ when warning for undefined symbols
    - [armhf] mmc: sdhci-esdhc-imx: fix kernel panic when remove module

