=== debian/tests/control ===
Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.9.0-0.bpo.16-alpha-generic [alpha], linux-image-4.9.0-0.bpo.16-alpha-smp [alpha], linux-image-4.9.0-0.bpo.16-amd64 [amd64], linux-image-4.9.0-0.bpo.16-rt-amd64 [amd64], linux-image-4.9.0-0.bpo.16-arm64 [arm64], linux-image-4.9.0-0.bpo.16-marvell [armel], linux-image-4.9.0-0.bpo.16-armmp [armhf], linux-image-4.9.0-0.bpo.16-armmp-lpae [armhf], linux-image-4.9.0-0.bpo.16-parisc [hppa], linux-image-4.9.0-0.bpo.16-parisc64-smp [hppa], linux-image-4.9.0-0.bpo.16-686 [i386], linux-image-4.9.0-0.bpo.16-686-pae [i386], linux-image-4.9.0-0.bpo.16-rt-686-pae [i386], linux-image-4.9.0-0.bpo.16-m68k [m68k], linux-image-4.9.0-0.bpo.16-4kc-malta [mips mipsel], linux-image-4.9.0-0.bpo.16-5kc-malta [mips mipsel mips64 mips64el], linux-image-4.9.0-0.bpo.16-octeon [mips mipsel mips64 mips64el], linux-image-4.9.0-0.bpo.16-loongson-3 [mipsel mips64el], linux-image-4.9.0-0.bpo.16-powerpc [powerpc], linux-image-4.9.0-0.bpo.16-powerpc-smp [powerpc], linux-image-4.9.0-0.bpo.16-powerpc64 [powerpc ppc64], linux-image-4.9.0-0.bpo.16-powerpcspe [powerpcspe], linux-image-4.9.0-0.bpo.16-powerpc64le [ppc64el], linux-image-4.9.0-0.bpo.16-s390x [s390x], linux-image-4.9.0-0.bpo.16-sh7751r [sh4], linux-image-4.9.0-0.bpo.16-sh7785lcr [sh4], linux-image-4.9.0-0.bpo.16-sparc64 [sparc64], linux-image-4.9.0-0.bpo.16-sparc64-smp [sparc64]
Classes: smp
