=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
 Build-Profiles: <!stage1>
 Multi-Arch: foreign
 
-Package: linux-support-4.9.0-0.bpo.16
+Package: linux-support-4.9.0-0.bpo.17
 Architecture: all
 Section: devel
 Depends: ${python3:Depends}, ${misc:Depends}
@@ -95,49 +95,49 @@
  appropriate version for the running kernel.
 Build-Profiles: <!stage1 !pkg.linux.notools !nopython>
 
-Package: linux-headers-4.9.0-0.bpo.16-common
-Architecture: all
-Depends: ${misc:Depends}
-Description: Common header files for Linux 4.9.0-0.bpo.16
+Package: linux-headers-4.9.0-0.bpo.17-common
+Architecture: all
+Depends: ${misc:Depends}
+Description: Common header files for Linux 4.9.0-0.bpo.17
  This package provides the common kernel header files for Linux kernel
- version 4.9.0-0.bpo.16, generally used for building out-of-tree kernel
+ version 4.9.0-0.bpo.17, generally used for building out-of-tree kernel
  modules.  To obtain a complete set of headers you also need to install the
- linux-headers-4.9.0-0.bpo.16-(flavour) package, matching the flavour of
+ linux-headers-4.9.0-0.bpo.17-(flavour) package, matching the flavour of
  the kernel you intend the build for.
 Build-Profiles: <!stage1>
 Multi-Arch: foreign
 
-Package: linux-headers-4.9.0-0.bpo.16-common-rt
-Architecture: all
-Depends: ${misc:Depends}
-Description: Common header files for Linux 4.9.0-0.bpo.16-rt
+Package: linux-headers-4.9.0-0.bpo.17-common-rt
+Architecture: all
+Depends: ${misc:Depends}
+Description: Common header files for Linux 4.9.0-0.bpo.17-rt
  This package provides the common kernel header files for Linux kernel
- version 4.9.0-0.bpo.16 with the PREEMPT_RT featureset, generally used for
+ version 4.9.0-0.bpo.17 with the PREEMPT_RT featureset, generally used for
  building out-of-tree kernel modules.  To obtain a complete set of headers
- you also need to install the linux-headers-4.9.0-0.bpo.16-(flavour)
+ you also need to install the linux-headers-4.9.0-0.bpo.17-(flavour)
  package, matching the flavour of the kernel you intend the build for.
 Build-Profiles: <!stage1>
 Multi-Arch: foreign
 
-Package: linux-headers-4.9.0-0.bpo.16-all
+Package: linux-headers-4.9.0-0.bpo.17-all
 Architecture: alpha amd64 arm64 armel armhf hppa i386 m68k mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64
-Depends: linux-headers-4.9.0-0.bpo.16-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
+Depends: linux-headers-4.9.0-0.bpo.17-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
 Description: All header files for Linux 4.9 (meta-package)
  This package depends against all architecture-specific kernel header files
  for Linux kernel version 4.9, generally used for building out-of-tree
  kernel modules.
 Build-Profiles: <!stage1>
 
-Package: linux-headers-4.9.0-0.bpo.16-all-alpha
-Architecture: alpha
-Depends: ${misc:Depends}, linux-headers-4.9.0-0.bpo.16-alpha-generic (= ${binary:Version}), linux-headers-4.9.0-0.bpo.16-alpha-smp (= ${binary:Version})
+Package: linux-headers-4.9.0-0.bpo.17-all-alpha
+Architecture: alpha
+Depends: ${misc:Depends}, linux-headers-4.9.0-0.bpo.17-alpha-generic (= ${binary:Version}), linux-headers-4.9.0-0.bpo.17-alpha-smp (= ${binary:Version})
 Description: All header files for Linux 4.9 (meta-package)
  This package depends against all architecture-specific kernel header files
  for Linux kernel version 4.9, generally used for building out-of-tree
  kernel modules.
 Build-Profiles: <!stage1>
 
-Package: linux-image-4.9.0-0.bpo.16-alpha-generic
+Package: linux-image-4.9.0-0.bpo.17-alpha-generic
 Architecture: alpha
 Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]
 Recommends: firmware-linux-free, ${kernel:Recommends}
@@ -148,19 +148,19 @@
  extended kernel start address (Wildfire, Titan, Marvel).
 Build-Profiles: <!stage1>
 
-Package: linux-headers-4.9.0-0.bpo.16-alpha-generic
-Architecture: alpha
-Depends: linux-headers-4.9.0-0.bpo.16-common (= ${source:Version}), linux-kbuild-4.9 (>= ${source:Version}), ${misc:Depends}, gcc-4.9
-Description: Header files for Linux 4.9.0-0.bpo.16-alpha-generic
+Package: linux-headers-4.9.0-0.bpo.17-alpha-generic
+Architecture: alpha
+Depends: linux-headers-4.9.0-0.bpo.17-common (= ${source:Version}), linux-kbuild-4.9 (>= ${source:Version}), ${misc:Depends}, gcc-4.9
+Description: Header files for Linux 4.9.0-0.bpo.17-alpha-generic
  This package provides the architecture-specific kernel header files for
- Linux kernel 4.9.0-0.bpo.16-alpha-generic, generally used for building
+ Linux kernel 4.9.0-0.bpo.17-alpha-generic, generally used for building
  out-of-tree kernel modules.  These files are going to be installed into
- /usr/src/linux-headers-4.9.0-0.bpo.16-alpha-generic, and can be used for
+ /usr/src/linux-headers-4.9.0-0.bpo.17-alpha-generic, and can be used for
  building modules that load into the kernel provided by the
- linux-image-4.9.0-0.bpo.16-alpha-generic package.
-Build-Profiles: <!stage1>
-
-Package: linux-image-4.9.0-0.bpo.16-alpha-smp
+ linux-image-4.9.0-0.bpo.17-alpha-generic package.
+Build-Profiles: <!stage1>
+
+Package: linux-image-4.9.0-0.bpo.17-alpha-smp
 Architecture: alpha
 Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]
 Recommends: firmware-linux-free, ${kernel:Recommends}
@@ -171,28 +171,28 @@
  extended kernel start address (Wildfire, Titan, Marvel).
 Build-Profiles: <!stage1>
 
-Package: linux-headers-4.9.0-0.bpo.16-alpha-smp
-Architecture: alpha
-Depends: linux-headers-4.9.0-0.bpo.16-common (= ${source:Version}), linux-kbuild-4.9 (>= ${source:Version}), ${misc:Depends}, gcc-4.9
-Description: Header files for Linux 4.9.0-0.bpo.16-alpha-smp
+Package: linux-headers-4.9.0-0.bpo.17-alpha-smp
+Architecture: alpha
+Depends: linux-headers-4.9.0-0.bpo.17-common (= ${source:Version}), linux-kbuild-4.9 (>= ${source:Version}), ${misc:Depends}, gcc-4.9
+Description: Header files for Linux 4.9.0-0.bpo.17-alpha-smp
  This package provides the architecture-specific kernel header files for
- Linux kernel 4.9.0-0.bpo.16-alpha-smp, generally used for building
+ Linux kernel 4.9.0-0.bpo.17-alpha-smp, generally used for building
  out-of-tree kernel modules.  These files are going to be installed into
- /usr/src/linux-headers-4.9.0-0.bpo.16-alpha-smp, and can be used for
+ /usr/src/linux-headers-4.9.0-0.bpo.17-alpha-smp, and can be used for
  building modules that load into the kernel provided by the
- linux-image-4.9.0-0.bpo.16-alpha-smp package.
-Build-Profiles: <!stage1>
-
-Package: linux-headers-4.9.0-0.bpo.16-all-amd64
+ linux-image-4.9.0-0.bpo.17-alpha-smp package.
+Build-Profiles: <!stage1>
+
+Package: linux-headers-4.9.0-0.bpo.17-all-amd64
 Architecture: amd64
-Depends: ${misc:Depends}, linux-headers-4.9.0-0.bpo.16-amd64 (= ${binary:Version}), linux-headers-4.9.0-0.bpo.16-rt-amd64 (= ${binary:Version})
+Depends: ${misc:Depends}, linux-headers-4.9.0-0.bpo.17-amd64 (= ${binary:Version}), linux-headers-4.9.0-0.bpo.17-rt-amd64 (= ${binary:Version})
 Description: All header files for Linux 4.9 (meta-package)
  This package depends against all architecture-specific kernel header files
  for Linux kernel version 4.9, generally used for building out-of-tree
  kernel modules.
 Build-Profiles: <!stage1>
 
-Package: linux-image-4.9.0-0.bpo.16-amd64
+Package: linux-image-4.9.0-0.bpo.17-amd64
 Architecture: amd64
 Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [amd64] | linux-initramfs-tool [amd64]
 Recommends: firmware-linux-free, ${kernel:Recommends}
@@ -206,8 +206,8 @@
  (dom0) and unprivileged (domU) operation.
 Build-Profiles: <!stage1>
 
-Package: linux-headers-4.9.0-0.bpo.16-amd64
+Package: linux-headers-4.9.0-0.bpo.17-amd64
 Architecture: amd64
-Depends: linux-headers-4.9.0-0.bpo.16-common (= ${source:Version}), linux-kbuild-4.9 (>= ${source:Version}), ${misc:Depends}, linux-compiler-gcc-4.9-x86 (>= 3.16.51-3+deb8u2~), linux-compiler-gcc-4.9-x86 (<< 3.17) | linux-compiler-gcc-4.9-x86 (>= 4.9.82-1+deb9u1~)
-Description: Header files for Linux 4.9.0-0.bpo.16-amd64
+Depends: linux-headers-4.9.0-0.bpo.17-common (= ${source:Version}), linux-kbuild-4.9 (>= ${source:Version}), ${misc:Depends}, linux-compiler-gcc-4.9-x86 (>= 3.16.51-3+deb8u2~), linux-compiler-gcc-4.9-x86 (<< 3.17) | linux-compiler-gcc-4.9-x86 (>= 4.9.82-1+deb9u1~)
+Description: Header files for Linux 4.9.0-0.bpo.17-amd64
  This package provides the architecture-specific kernel header files for
